创建 itemPhoneNumber

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

使用此 API 在用户配置文件中创建新的 itemPhone 对象

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) User.ReadWrite、User.ReadWrite.All
委派(个人 Microsoft 帐户) User.ReadWrite、User.ReadWrite.All
应用程序 User.ReadWrite.All

HTTP 请求

POST /me/profile/phones
POST /users/{userId}/profile/phones

请求标头

名称 说明
Authorization Bearer {token}。必需。
Content-Type application/json. Required.

请求正文

在请求正文中,提供 itemPhone 对象的 JSON 表示形式。

下表显示了在用户配置文件中创建新的 itemPhone 对象时可以设置的属性。

属性 类型 Description
allowedAudiences String 能够查看实体中包含的值的访问群体。 继承自 itemFacet。 可取值为:mefamilycontactsgroupMembersorganizationfederatedOrganizationseveryoneunknownFutureValue
displayName String 用户已分配此电话号码的友好名称。
inference inferenceData 如果实体是由创建或修改应用程序推断出来的,则包含推断详细信息。 继承自 itemFacet
number String 电话提供的号码。
source personDataSource 如果从另一个服务同步,则值源自何处。 继承自 itemFacet
type phoneType 对象中电话号码的类型。 可取值为:homebusinessmobileotherassistanthomeFaxbusinessFaxotherFaxpagerradio

响应

如果成功,此方法在响应 201 Created 正文中返回 响应代码和 itemPhone 对象。

示例

请求

POST https://graph.microsoft.com/beta/me/profile/phones
Content-Type: application/json

{
  "displayName": "Car Phone",
  "number": "+7 499 342 22 13"
}

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 201 Created
Content-Type: application/json

{
  "id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
  "allowedAudiences": "organization",
  "inference": null,
  "createdDateTime": "2020-07-06T06:34:12.2294868Z",
  "createdBy": {
    "application": null,
    "device": null,
    "user": {
      "displayName": "Innocenty Popov",
      "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
    }
  },
  "lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
  "lastModifiedBy": {
    "application": null,
    "device": null,
    "user": {
      "displayName": "Innocenty Popov",
      "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
    }
  },
  "displayName": "Car Phone",
  "type": null,
  "number": "+7 499 342 22 13"
}